> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Required permissions: `customers.read.*`




## OpenAPI

````yaml openapi.yaml get /customers
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /customers:
    get:
      tags:
        - Customers
      summary: List Customers
      description: |
        Required permissions: `customers.read.*`
      parameters:
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageNumber'
        - $ref: '#/components/parameters/WithTrashed'
        - $ref: '#/components/parameters/OrderBy'
          schema:
            enum:
              - id
              - first_name
              - middle_name
              - last_name
              - email
              - contact_number
              - address
              - city_country
              - created_at
              - updated_at
              - deleted_at
        - $ref: '#/components/parameters/OrderDirection'
        - $ref: '#/components/parameters/FilterValue'
        - $ref: '#/components/parameters/FilterOperator'
        - $ref: '#/components/parameters/FilterAttribute'
          schema:
            enum:
              - id
              - first_name
              - middle_name
              - last_name
              - email
              - contact_number
              - address
              - city_country
              - created_at
              - updated_at
              - deleted_at
      responses:
        '200':
          $ref: '#/components/responses/CustomerListResponse'
        '400':
          $ref: '#/components/responses/ValidationErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  parameters:
    PageSize:
      in: query
      name: page_size
      description: Maximum number of items in a page.
      required: false
      schema:
        type: integer
      allowEmptyValue: true
    PageNumber:
      in: query
      name: page
      description: Page number of query.
      required: false
      schema:
        type: integer
      allowEmptyValue: true
    WithTrashed:
      in: query
      name: with_trashed
      description: Whether or not deleted items are included.
      schema:
        type: boolean
      allowEmptyValue: true
    OrderBy:
      in: query
      name: order_by
      description: Attribute to order query by.
      schema:
        type: string
      allowEmptyValue: true
    OrderDirection:
      in: query
      name: order_direction
      description: Direction to order query by.
      schema:
        type: string
        enum:
          - asc
          - desc
      allowEmptyValue: true
    FilterValue:
      in: query
      name: value
      description: Value of attribute to filter query by.
      schema:
        type: string
      allowEmptyValue: true
    FilterOperator:
      in: query
      name: operator
      description: Comparison operator to filter query by.
      schema:
        type: string
        enum:
          - Equal
          - NotEqual
          - Contains
          - GreaterThan
          - GreaterThanOrEqual
          - LessThan
          - LessThanOrEqual
          - IsNull
          - NotNull
    FilterAttribute:
      in: query
      name: 'on'
      description: Attribute to filter query by
      schema:
        type: string
      allowEmptyValue: true
  responses:
    CustomerListResponse:
      description: ''
      content:
        application/json:
          schema:
            required:
              - message
              - data
              - current_page
              - first_page_url
              - from
              - last_page
              - last_page_url
              - next_page_url
              - path
              - per_page
              - prev_page_url
              - to
              - total
            properties:
              message:
                type: string
              data:
                type: array
                description: A list of Customer resource objects.
                items:
                  $ref: '#/components/schemas/Customer'
              current_page:
                type: integer
                description: Current page number.
              first_page_url:
                type: string
                description: URL to fetch the first page.
              from:
                type: integer
                nullable: true
              last_page:
                type: integer
                description: Last page number.
              last_page_url:
                type: string
                description: URL to fetch the last page.
              next_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              path:
                type: string
                description: Current URL.
              per_page:
                type: integer
                description: Number of items per page.
              prev_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              to:
                type: integer
                nullable: true
              total:
                type: integer
                description: Total number of items.
    ValidationErrorResponse:
      description: Invalid request parameters or body.
      content:
        application/json:
          schema:
            required:
              - message
              - errors
            properties:
              message:
                type: string
              errors:
                $ref: '#/components/schemas/ValidationError'
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  schemas:
    Customer:
      type: object
      required:
        - id
        - first_name
        - middle_name
        - last_name
        - email
        - contact_number
        - address
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        first_name:
          type: string
          maxLength: 255
          nullable: true
          readOnly: false
        middle_name:
          type: string
          maxLength: 255
          nullable: true
          readOnly: false
        last_name:
          type: string
          maxLength: 255
          nullable: true
          readOnly: false
        email:
          type: string
          format: email
          maxLength: 255
          nullable: true
          readOnly: false
        contact_number:
          type: string
          description: In E.164 format.
          nullable: true
          readOnly: false
        address:
          $ref: '#/components/schemas/Address'
          nullable: true
          readOnly: false
        name:
          type: string
          nullable: false
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
    ValidationError:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      example:
        attribute:
          - The {attribute} field is required.
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
    Address:
      type: object
      properties:
        line_1:
          type: string
          maxLength: 255
          nullable: true
        line_2:
          type: string
          maxLength: 255
          nullable: true
        city:
          type: string
          maxLength: 255
          nullable: true
        region:
          type: string
          maxLength: 255
          nullable: true
        region_code:
          type: string
          maxLength: 255
          nullable: true
        country:
          type: string
          maxLength: 255
          nullable: true
        country_code:
          type: string
          maxLength: 255
          nullable: true
        postal_code:
          type: string
          maxLength: 255
          nullable: true
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````